Bug 238083 - x11/lightdm: refuses to run with error signal 10 (dumps core)
Summary: x11/lightdm: refuses to run with error signal 10 (dumps core)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2019-05-23 20:41 UTC by David.Boyd49
Modified: 2019-06-06 23:07 UTC (History)
1 user (show)

See Also:
woodsb02: maintainer-feedback+


Attachments
gdb /usr/local/sbin/lightdm /lightdm.core (4.34 KB, text/plain)
2019-05-23 20:41 UTC, David.Boyd49
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David.Boyd49 2019-05-23 20:41:16 UTC
Created attachment 204576 [details]
gdb /usr/local/sbin/lightdm /lightdm.core

Since about May 5th, lightdm refuses to run with error signal 10.  

I have seen this problem with 11.3-PRERELEASE installed today
(05/23/2019). Package repository is FreeBSD.

I have seen this problem with 12.0-STABLE installed as recently as last
week (05/17/2019). Package repository is local (poudriere).

I have seen this problem with 13.0-CURRENT installed as recently as
last week (05/17/2019). Package repository is FreeBSD.

If I "pkg add -f" from an archive dated 04/24/2019 everything
works as expected.

I have dump output which is attached.

The suggested/required change to /etc/login.conf has been in place for
about three months.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-26 12:20:25 UTC
Thank you for the report David.

If you have access to packages later than 04/24 but before May 5th that could help narrow down the time window, that might be handy.
Comment 2 David.Boyd49 2019-05-26 16:05:28 UTC
I don't have the package archive, but I had lightdm installed on 5/2/2019 working on one of the systems.  Unfortunately, that system has been reloaded and the version of lightdm is later than 5/5/2019.
Comment 3 commit-hook freebsd_committer 2019-06-06 23:05:35 UTC
A commit references this bug:

Author: woodsb02
Date: Thu Jun  6 23:05:23 UTC 2019
New revision: 503608
URL: https://svnweb.freebsd.org/changeset/ports/503608

Log:
  x11/lightdm: Update to 1.30.0, fix crash and change default config

  This update addresses a crash in lightdm, related to the way the
  user environment for the lightdm process is setup in src/process.c.

  The configuration option in lightdm.conf for locked memory is now
  honoured - the default configuration has been updated to disable this,
  and pkg-message has been updated to reflect this change.

  Changes this release:
    https://github.com/CanonicalLtd/lightdm/releases/tag/1.30.0

  PR:		238083
  Submitted by:	madpilot
  Reported by:	David.Boyd49@twc.com
  Differential Revision:	https://reviews.freebsd.org/D20541

Changes:
  head/x11/lightdm/Makefile
  head/x11/lightdm/distinfo
  head/x11/lightdm/files/patch-data_lightdm.conf
  head/x11/lightdm/files/patch-src_process.c
  head/x11/lightdm/pkg-message
  head/x11/lightdm/pkg-plist
Comment 4 Ben Woods freebsd_committer 2019-06-06 23:07:24 UTC
Thanks for reporting this issue David.
The above patch has now fixed it - thanks to madpilot@ for submitting the patch on phabricator.